> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vijil.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current User Info

> Get the currently authenticated user's information.

Args:
    current_user: Current authenticated user (from JWT claims)

Returns:
    Current user information



## OpenAPI

````yaml /openapi/api.json get /v1/auth/users/me
openapi: 3.1.0
info:
  title: Vijil Console API (Combined)
  description: Combined OpenAPI specification for all vijil-console microservices.
  version: 0.1.0
servers: []
security: []
tags:
  - name: Teams
    description: Authentication, users, and team management
  - name: Agent Environment
    description: Agent, persona, policy, and harness management
  - name: Diamond
    description: Evaluation management and report retrieval
  - name: Dome
    description: Protection, guardrails, and telemetry
  - name: Red Team
    description: Red team campaigns
paths:
  /v1/auth/users/me:
    get:
      tags:
        - Teams
        - auth
      summary: Get Current User Info
      description: |-
        Get the currently authenticated user's information.

        Args:
            current_user: Current authenticated user (from JWT claims)

        Returns:
            Current user information
      operationId: get_current_user_info_v1_auth_users_me_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserRead'
components:
  schemas:
    UserRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        email:
          type: string
          format: email
          title: Email
        is_active:
          type: boolean
          title: Is Active
          default: true
        is_superuser:
          type: boolean
          title: Is Superuser
          default: false
        is_verified:
          type: boolean
          title: Is Verified
          default: false
        given_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Given Name
        family_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Family Name
        external_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External User Id
        profile_image:
          anyOf:
            - type: string
              maxLength: 2083
              minLength: 1
              format: uri
            - type: 'null'
          title: Profile Image
        password_change_required:
          type: boolean
          title: Password Change Required
          default: false
        is_super_admin:
          type: boolean
          title: Is Super Admin
          default: false
      type: object
      required:
        - id
        - email
      title: UserRead
      description: Returned to clients when reading user info.

````